GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.HazardousGood Class Reference

## Public Member Functions
String | getGLSHazNo ()
void | setGLSHazNo (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)

## Protected Attributes
String | glsHazNo
BigDecimal | weight

## Detailed Description

Hazardous good item attributes

Java class for HazardousGood complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="HazardousGood">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="GLSHazNo" type="{http://fpcs.gls-group.eu/v1/Common}HazardousNumber"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file HazardousGood.java.

## Member Function Documentation

## ◆ getGLSHazNo()

String eu.gls_group.fpcs.v1.common.HazardousGood.getGLSHazNo | ( |  | ) |

Gets the value of the glsHazNo property.

Returns
  possible object is String

Definition at line 60 of file HazardousGood.java.

## ◆ getWeight()

BigDecimal eu.gls_group.fpcs.v1.common.HazardousGood.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 84 of file HazardousGood.java.

## ◆ setGLSHazNo()

void eu.gls_group.fpcs.v1.common.HazardousGood.setGLSHazNo | ( | String | value | ) |

Sets the value of the glsHazNo property.

Parameters

  value | allowed object is String

Definition at line 72 of file HazardousGood.java.

## ◆ setWeight()

void eu.gls_group.fpcs.v1.common.HazardousGood.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 96 of file HazardousGood.java.

## Member Data Documentation

## ◆ glsHazNo

String eu.gls_group.fpcs.v1.common.HazardousGood.glsHazNo
| protected

Definition at line 46 of file HazardousGood.java.

## ◆ weight

BigDecimal eu.gls_group.fpcs.v1.common.HazardousGood.weight
| protected

Definition at line 50 of file HazardousGood.java.

The documentation for this class was generated from the following file:

- HazardousGood.java